Update mailbox daily email limit
curl --request PATCH \
--url https://api.amplemarket.com/mailboxes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"daily_email_limit": 123
}
'import requests
url = "https://api.amplemarket.com/mailboxes/{id}"
payload = { "daily_email_limit": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({daily_email_limit: 123})
};
fetch('https://api.amplemarket.com/mailboxes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019f5b76-75a0-7da8-87a8-f86b69acb4ac",
"email": "mailbox@example.com",
"email_provider": "google",
"daily_email_limit": 100,
"status": "active",
"user": {
"id": "019f5b76-7526-7ce2-94b0-046d55687c85",
"name": "Example User",
"email": "foo-34@email.com"
},
"created_at": "2026-07-13T12:31:57Z",
"updated_at": "2026-07-13T12:31:57Z",
"_links": {
"self": {
"href": "/mailboxes/019f5b76-75a0-7da8-87a8-f86b69acb4ac"
}
}
}{
"_errors": [
{
"code": "unsupported_value",
"title": "Unsupported Value",
"detail": "daily_email_limit cannot exceed the account's maximum limit of 150",
"source": {
"pointer": "/daily_email_limit"
}
}
],
"object": "error"
}{
"_errors": [
{
"code": "not_found",
"title": "Not Found",
"detail": "Mailbox not found"
}
],
"object": "error"
}Mailboxes
Update mailbox daily email limit
Update mailbox daily email limit
PATCH
/
mailboxes
/
{id}
Update mailbox daily email limit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Mailbox id
Body
application/json
Daily email limit update
New daily email limit for the mailbox
Response
Successful
Available options:
google, outlook, other, other_mixed Available options:
active, inactive, needs_reconnection Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I